QFtp(3qt)

NAME
QFtp - Implementation of the FTP protocol

SYNOPSIS
#include <qftp.h>

Inherits QNetworkProtocol.

  Public Members
QFtp ()
virtual ~QFtp ()

  Protected Members
void parseDir ( const QString & buffer, QUrlInfo & info )

  Protected Slots
void readyRead ()
void dataConnected ()
void dataClosed ()
void dataReadyRead ()
void dataBytesWritten ( int nbytes )

DESCRIPTION
The QFtp class provides an implementation of the FTP protocol.

This class is derived from QNetworkProtocol. QFtp is not normally used directly, but rather through a QUrlOperator, for example:

  QUrlOperator op( "ftp://ftp.trolltech.com" );
  op.listChildren(); // Asks the server to provide a directory listing

This code will only work if the QFtp class is registered; to register the class, you must call qInitNetworkProtocols() before using a QUrlOperator with QFtp.

If you really need to use QFtp directly, don't forget to set its QUrlOperator with setUrl().

See also Qt Network Documentation, QNetworkProtocol, QUrlOperator and Input/Output and Networking.

MEMBER FUNCTION DOCUMENTATION

QFtp::QFtp ()
Constructs a QFtp object.

QFtp::~QFtp () [virtual]
Destructor

void QFtp::dataBytesWritten ( int nbytes ) [protected slot]
This function is called, when nbytes have been successfully written to the data socket.

void QFtp::dataClosed () [protected slot]
This function is called when the data connection has been closed.

void QFtp::dataConnected () [protected slot]
Some operations require a data connection to the server. If this connection could be opened, this function handles the data connection.

void QFtp::dataReadyRead () [protected slot]
This function is called when new data arrived on the data socket.

void QFtp::parseDir ( const QString & buffer, QUrlInfo & info ) [protected]
Parses the string, buffer, which is one line of a directory listing which came from the FTP server, and sets the values which have been parsed to the url info object, info.

void QFtp::readyRead () [protected slot]
If data has arrived on the command socket, this slot is called. The function loks at the data and passes it on to the function which can handle it

SEE ALSO
http://doc.trolltech.com/qftp.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qftp.3qt) and the Qt version (3.0.4).